Skip to main content
Toolboxes

List toolbox versions

GET
/toolboxes/{name}/versions

Returns the available versions for the specified toolbox.

Path Parameters
namestringrequired
The name of the toolbox to list versions for.
Query Parameters
limitintegeroptionaldefault: 20
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
orderstringoptional
Sort order by the created_at timestamp of the objects. asc for ascending order anddesc for descending order.
ascdesc
afterstringoptional
A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
beforestringoptional
A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.
api-versionstringrequired
The API version to use for this operation.
Responses
dataToolboxVersionObject[]required
The requested list of items.
metadataobject | nullrequired
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
idstringrequired
The unique identifier of the toolbox version.
namestringrequired
The name of the toolbox.
versionstringrequired
The version identifier of the toolbox. Toolbox versions are immutable and every update creates a new version.
descriptionstring
A human-readable description of the toolbox.
created_atintegerrequired
The Unix timestamp (seconds) when the toolbox version was created.
tools(code_interpreter | file_search | web_search | shell | mcp | azure_ai_search | openapi | a2a | a2a_preview | browser_automation_preview | browser_automation | reminder_preview | work_iq_preview | fabric_iq_preview | web_iq_preview | toolbox_search_preview | toolbox_search)[]required
The list of tools contained in this toolbox version.
skillsskill_reference[]
The list of skill sources included in this toolbox version.
policiesToolboxPolicies
Policy configuration for a toolbox, including content safety and other governance settings.
first_idstring
The first ID represented in this list.
last_idstring
The last ID represented in this list.
has_morebooleanrequired
A value indicating whether there are additional values available not captured in this list.